<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
   
      <link rel="stylesheet" href="private/helpwin.css">
      <title>MATLAB File Help: iData_Sqw2D</title>
   </head>
   <body>
      <!--Single-page help-->
      <table border="0" cellspacing="0" width="100%">
         <tr class="subheader">
            <td class="headertitle">MATLAB File Help: iData_Sqw2D</td>
            <td class="subheader-left">View code for iData_Sqw2D</td>
            <td class="subheader-right">Default Topics</td>
         </tr>
      </table>
      <div class="title">iData_Sqw2D</div>
      <div class="helptext"><pre><!--helptext -->  <span class="helptopic">iData_Sqw2D</span> Create a 2D S(q,w) data set (iData flavour).
    S = <span class="helptopic">iData_Sqw2D</span>(FILENAME) imports the given file as a 2D S(q,w). The
    initial FILENAME axes may be any set of q, w, alpha, beta, time-of-flight,
    and angle. The proper conversion to (q,w) space is performed.
 
    S = <span class="helptopic">iData_Sqw2D</span>(iData_object) converts the given iData object or flavour
    to an S(q,w) dataset.
 
    The <span class="helptopic">iData_Sqw2D</span> class is a 2D data set holding a S(q,w) dynamic structure factor
    aka scattering function/law.
    The first  axis (rows)    is the Momentum transfer [Angs-1] (wavevector). 
    The second axis (columns) is the Energy   transfer [meV].
 
    This quantity usually derives from the double differential neutron cross section
 
       d2 sigma 
      ---------   = N sigma /4pi kf/ki S(q,w)
      dOMEGA dEf
 
    and it is specific to materials.
 
  Conventions:
  w = omega = Ei-Ef = energy lost by the neutron [meV]
      omega &gt; 0, neutron looses energy, can not be higher than Ei (Stokes)
      omega &lt; 0, neutron gains energy, anti-Stokes
 
  Useful methods for this iData flavour:
 
  methods(<span class="helptopic">iData_Sqw2D</span>)
    all iData methods can be used.
 
  <span class="helptopic">iData_Sqw2D</span>(s)
    convert input [e.g. a 2D iData object] into an <span class="helptopic">iData_Sqw2D</span> to give access to
    the methods below.
 
  SQW = ddcs2Sqw(s)
    convert a double differential neutron scattering cross section [Kf/Ki] to a S(q,w) 
 
  ddcs = Sqw2ddcs(s)
    convert a S(q,w) to a double differential neutron scattering cross section [Kf/Ki]
 
  spw = qw2phiw(s, lambda)
    Convert a S(q,w) into a S(phi,w) iData (scattering angle)
 
  sqt = qw2qt(s, lambda)
    Compute S(q,tof) from S(q,w) for given wavelength [Angs]
 
  [spt,spc] = qw2phit(s, lambda)
    Compute S(phi,tof) from S(q,w) for given wavelength [Angs]. 
    Also return the S(phi,channel) as 2nd arg.
 
  sab = Sab(s, M, T)
    Compute S(alpha,beta) from S(q,w) for given mass and temperature,
    suitable for nuclear data bases (ENDF, etc).
 
  d   = dos(s)
    Compute the vibrational density of states.
 
  t   = thermochemistry(s)
    Compute and display thermochemistry quantities from the density of states.
 
  m   = moments(s)
    Compute the S(q,w) moments/sum rules (harmonic frequencies).
 
  sym = symmetrize(s)
    Extend the S(|q|,w) in both energy sides.
 
  sb  = Bosify(s)
    Apply the 'Bose' factor (detailed balance) to a classical data set.
 
  s   = deBosify(sb)
    Remove Bose factor (detailed balance) from an 'experimental/quantum' data set.
 
  p   = parseparams(s)
    Search for physical quantities in S(q,w) data set..
 
  xs  = scattering_cross_section(s)
    Compute the total integrated scattering cross section
 
  dr  = dynamic_range(s, Ei, angles)
    Compute the dynamic range restricted to given incident energy and detector angles
 
  sq  = structure_factor(s)
    Compute the structure factor S(q)
 
  [inc, multi] = incoherent(s, q, T, m, n)
    Compute an estimate of the incoherent neutron scattering law in the 
    gaussian approximation (Sjolander)
 
  [coh] = coherent(inc, sq)
    Compute an estimate of the coherent S(q,w) from an incoherent S(q,w) and 
    a structure factor (Skold)
 
  [gDOS_total,gDOS_multi, gDOS_1]     = multi_phonons(s)
    Compute the integrated multi-phonon DOS terms from an initial density of 
    states (Sjolander)
 
  g = muphocor(s)
    Compute the gDOS, vDOS and multi-phonon terms using MUPHOCOR (same as 
    multi_phonons method)
 
  saveas(s, filename, 'McStas'|'Sqw'|'inx'|'spe')
    Save the S(q,w) as a McStas Sqw, INX or ISIS SPE file format
 
  Example: s=<span class="helptopic">iData_Sqw2D</span>('SQW_coh_lGe.nc'); isa(s, '<span class="helptopic">iData_Sqw2D</span>')</pre></div><!--after help --><!--seeAlso--><div class="footerlinktitle">See also</div><div class="footerlink"> iData, iData_Sab, iData_vDOS, iFunc_Sqw2D
</div>
      <!--Class-->
      <div class="sectiontitle">Class Details</div>
      <table class="class-details">
         <tr>
            <td class="class-detail-label">Superclasses</td>
            <td>iData</td>
         </tr>
         <tr>
            <td class="class-detail-label">Sealed</td>
            <td>false</td>
         </tr>
         <tr>
            <td class="class-detail-label">Construct on load</td>
            <td>false</td>
         </tr>
      </table>
      <!--Constructors-->
      <div class="sectiontitle"><a name="constructors"></a>Constructor Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="name">iData_Sqw2D</td>
            <td class="m-help">Create the iData_Sqw2D subclass&nbsp;</td>
         </tr>
      </table>
      <!--Properties-->
      <div class="sectiontitle"><a name="properties"></a>Property Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="name">Attributes</td>
            <td class="m-help">Attributes (structure that mimics the Data)&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Axis</td>
            <td class="m-help">Axes for the Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Data</td>
            <td class="m-help">Imported data.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Date</td>
            <td class="m-help">Date of creation of the object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Error</td>
            <td class="m-help">Error bar on the Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Format</td>
            <td class="m-help">Format of the initial data, as text.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Label</td>
            <td class="m-help">Labels of Axes.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Loader</td>
            <td class="m-help">Loader configuration (struct).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Monitor</td>
            <td class="m-help">Monitor, e.g. counting time, weight, etc.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Name</td>
            <td class="m-help">Name of the object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Signal</td>
            <td class="m-help">Signal (vs Axes).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Source</td>
            <td class="m-help">Source of the data, e.g. file name, URL, etc.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Tag</td>
            <td class="m-help">Object unique ID.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Title</td>
            <td class="m-help">Label for_Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">UserData</td>
            <td class="m-help">An area to store what you want.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">cache</td>
            <td class="m-help">&nbsp;</td>
         </tr>
      </table>
      <!--Methods-->
      <div class="sectiontitle"><a name="methods"></a>Method Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">Bosify</td>
            <td class="m-help">Apply the 'Bose' factor (detailed balance) to a classical Sqw data set.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">Sab</td>
            <td class="m-help">Convert a 2D S(q,w) into an S(alpha,beta). &nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">Sqw2ddcs</td>
            <td class="m-help">Convert a S(q,w) into a double differential cross-section (q,w).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">angle</td>
            <td class="m-help">Convert a S(q,w) into a S(phi,w) iData (scattering angle)&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">coherent</td>
            <td class="m-help">Coherent scattering cross section from the incoherent and structure factor, in the Skold approximation.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">ddcs2Sqw</td>
            <td class="m-help">Convert a double differential cross-section (q,w) into a S(q,w)&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">deBosify</td>
            <td class="m-help">Remove Bose factor (detailed balance) from an 'experimental/quantum' Sqw.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">dynamic_range</td>
            <td class="m-help">Crop the S(|q|,w) to the available dynamic range&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">dos</td>
            <td class="m-help">Generalised density of states (gDOS) from a S(q,w)&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">gdos</td>
            <td class="m-help">Generalised density of states (gDOS) from a S(q,w).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">iData</td>
            <td class="m-help">Convert a iData_Sqw2D back to iData.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">incoherent</td>
            <td class="m-help">Incoherent neutron scattering law estimate.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">moments</td>
            <td class="m-help">Compute Sqw moments/sum rules (harmonic frequencies).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">multi_phonons</td>
            <td class="m-help">Integrated multi-phonon intensity from a scattering law.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">muphocor</td>
            <td class="m-help">Run MUPHOCOR on the given S(q,w) data set, incident wavelength and Temperature.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">parseparams</td>
            <td class="m-help">Search for physical quantities in object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">qw2phit</td>
            <td class="m-help">QW2PHI Convert a S(q,w) into S(phi,tof) iData (scattering angle,ToF).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">qw2phiw</td>
            <td class="m-help">Convert a S(q,w) into a S(phi,w) data set (scattering angle).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">qw2qt</td>
            <td class="m-help">Convert a S(q,w) into a S(q,tof) iData (time-of-flight from sample).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">saveas</td>
            <td class="m-help">Save S(q,w) into a file.</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">scattering_cross_section</td>
            <td class="m-help">Compute the total neutron scattering cross section.</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">structure_factor</td>
            <td class="m-help">Compute the structure factor S(q).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">symmetrize</td>
            <td class="m-help">Extend the S(|q|,w) in both energy sides.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">thermochemistry</td>
            <td class="m-help">Thermodynamic quantities for 2D S(q,w) data sets.&nbsp;</td>
         </tr>

      </table>
   </body>
</html>
